## org.eclipse.emf.ecore.sdo.impl
Class EDataGraphImpl.EDataGraphExternalizable

    java.lang.Object
      org.eclipse.emf.ecore.sdo.impl.EDataGraphImpl.EDataGraphExternalizable

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

Enclosing class:
  EDataGraphImpl

    public static class EDataGraphImpl.EDataGraphExternalizable

extends java.lang.Object
implements java.io.Externalizable

See Also:
  Serialized Form

Field Summary
`protected EDataGraph` `eDataGraph`
`protected java.util.Map<EObject,java.io.Externalizable>` `writeReplacements`

Constructor Summary
`EDataGraphImpl.EDataGraphExternalizable()`
`EDataGraphImpl.EDataGraphExternalizable(EDataGraph eDataGraph)`

Method Summary
`protected ResourceSet` `createResourceSet()`
`java.lang.Object` `getWriteReplacement(EObject eObject)`
`void` `readExternal(java.io.ObjectInput objectInput)`
`protected java.lang.Object` `readResolve()`
`void` `writeExternal(java.io.ObjectOutput objectOutput)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eDataGraph

    protected EDataGraph eDataGraph

### writeReplacements

    protected java.util.Map<EObject,java.io.Externalizable> writeReplacements

Constructor Detail

### EDataGraphImpl.EDataGraphExternalizable

    public EDataGraphImpl.EDataGraphExternalizable()

### EDataGraphImpl.EDataGraphExternalizable

    public EDataGraphImpl.EDataGraphExternalizable(EDataGraph eDataGraph)

Method Detail

### writeExternal

    public void writeExternal(java.io.ObjectOutput objectOutput)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput objectInput)
                      throws java.io.IOException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### createResourceSet

    protected ResourceSet createResourceSet()

### getWriteReplacement

    public java.lang.Object getWriteReplacement(EObject eObject)

### readResolve

    protected java.lang.Object readResolve()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.